[openwrt/openwrt] ugps: start also in case device is absent
LEDE Commits
lede-commits at lists.infradead.org
Tue Jun 15 04:18:21 PDT 2021
dangole pushed a commit to openwrt/openwrt.git, branch openwrt-21.02:
https://git.openwrt.org/072d0afb8fa6359541568081c23fe2d8d411651c
commit 072d0afb8fa6359541568081c23fe2d8d411651c
Author: Daniel Golle <daniel at makrotopia.org>
AuthorDate: Thu May 27 12:34:38 2021 +0200
ugps: start also in case device is absent
Don't bail out from init script in case the GPS device is missing.
Some modems take time to come up, and some people may use things like
'kplex' to feed ugpsd. Hence it is better to always start ugpsd
unconditionally and let procd's respawn take care of retrying.
Signed-off-by: Daniel Golle <daniel at makrotopia.org>
(cherry picked from commit 3d026d24257a0e2f3170538d8a54d520315699a1)
---
package/utils/ugps/files/ugps.init | 13 +++++++++----
1 file changed, 9 insertions(+), 4 deletions(-)
diff --git a/package/utils/ugps/files/ugps.init b/package/utils/ugps/files/ugps.init
index 3cd1ca1b8d..77c3603066 100644
--- a/package/utils/ugps/files/ugps.init
+++ b/package/utils/ugps/files/ugps.init
@@ -16,11 +16,16 @@ start_service() {
local disabled="$(uci get gps. at gps[-1].disabled || echo 0)"
[ "$disabled" == "0" ] || return
+ [ "$tty" ] || return
- [ -c "$tty" ] || {
- tty="/dev/$tty"
- [ -c "$tty" ] || return
- }
+ case "$tty" in
+ "/"*)
+ true
+ ;;
+ *)
+ tty="/dev/$tty"
+ ;;
+ esac
procd_open_instance
procd_set_param command "$PROG"
More information about the lede-commits
mailing list